/**
 * SUMCHARTS
 */

div.sumchart {
}

div.sumchart table {
}

div.sumchart div.sumchart-chart {
    padding-left: 2em;
    padding-top: 3.5em;
}


/**
 * HEXMAPS
 */

div.hexmap-wrapper {
    max-width: 100%;
}

div.hexmap {
    background: white;
    width: 100%;
    height: 500px;
}

div.hexmap-wrapper div.hexmap-after {
    text-align: left;
}

div.hexmap-wrapper div.hexmap-after button {
    float: right;
    margin: 0 0 1em 1em;
}

div.hexmap .hexmap-map-label {
    font-weight: bold;
    font-family: sans-serif;
    font-size: 15px;

    text-align: center;

    line-height: 25px;
    height: 25px !important;
    width: 25px !important;
    margin-left: -13px !important;
    margin-top: -11px !important;

    pointer-events: none;
}

div.hexmap .hexmap-legend {
    position: absolute;

    font-size: 15px;
    font-family: sans-serif;

    padding: 0.25em 0.5em;

    width: 200px;

    text-align: left;
}
div.hexmap .hexmap-legend-lowerright {
    bottom: 15px;
    right: 0;
}
div.hexmap .hexmap-legend-lowerleft {
    bottom: 15px;
    left: 0;
}
div.hexmap .hexmap-legend-title {
    display: block;
    text-align: center;
}
div.hexmap .hexmap-legend .hexmap-legend-entry {
    line-height: 1;
}
div.hexmap .hexmap-legend .hexmap-legend-label {
    padding-left: 0.5em;
}
div.hexmap .hexmap-legend .hexmap-legend-swatch {
    display: inline-block;
    height: 1em;
    width: 1em;
    border: 1px solid black;
    background: transparent;
    vertical-align: middle;
}

div.hexmap .hexmap-credits {
    font-size: 90%;
    color: #333333;
    position: absolute;
}
div.hexmap .hexmap-credits-lowerright {
    bottom: 0;
    right: 0;
}
div.hexmap .hexmap-credits-lowerleft {
    bottom: 0;
    left: 0;
}


/**
 * MISCELLANEOUS
 */

#hexmap-us-earlyvote {
    width: 800px;
    height: 500px;
    background: white;
}

#links ul { padding-left: 0; }
#links ul li { list-style: none; display: inline; }
#links ul li:after { content: " \2022"; }
#links ul li:last-child:after { content: none; }
